## gtk2hs 0.9.13

=== demo/treeList/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
-PROGS  = listdemo treedemo listtest treetest dirlist
-SOURCES = ListDemo.hs TreeDemo.hs ListTest.hs TreeTest.hs DirList.hs
+PROGS  = listdemo treedemo listtest treetest dirlist treesort completion
+SOURCES = ListDemo.hs TreeDemo.hs ListTest.hs TreeTest.hs DirList.hs \
+	TreeSort.hs Completion.hs
 
 all : $(PROGS)
 
@@ -19,6 +20,12 @@
 dirlist : DirList.hs
 	$(HC_RULE)
 
+treesort : TreeSort.hs
+	$(HC_RULE)
+
+completion : Completion.hs
+	$(HC_RULE)
+
 HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)
 
 clean:
