=== debian/changelog ===
gtk2hs (0.10.1-4) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Add lpia to supported architectures - noop on Debian but
    will allow gtk2hs to get into sync with Ubuntu.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * Update Uploader e-mail.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use 3.0 (quilt) source format.
  * Include patch to make it build with ghc6-6.12.1.
  * debian/control: Bump Build-Depends: version of haskell-devscripts
    and remove versioned dependency on ghc6 and libghc6-mtl-*.
  * debian/rules: Use --disable-split-objs in all arches, since it's
    needed with ghc 6.12.
  * Include patch to avoid DoRec notation, which cause build failure in
    ghc 6.12.
  * debian/control: Use Architecture: any, since #565610 is closed.
  * Remove mk-haskell-deps, which was replaced by dh_haskell_shlibdeps.
  * debian/control: Add ${misc:Depends} to Depends:.
  * debian/control: Add ${haskell:Suggests} to Suggests:.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 17:48:24 -0200

gtk2hs (0.10.1-3) unstable; urgency=low

  * debian/control: Specify supported architectures in gio and
    gtksourceview2. (Closes: #540879)

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Sun, 18 Oct 2009 16:41:22 -0200

gtk2hs (0.10.1-2) unstable; urgency=low

  * debian/rules: Add missing files to clean.
  * debian/control: Fix "FTBFS with default automake" by using
    Build-Depends: automake1.10.  (Closes: #542121)
  * debian/control: Use Debian Haskell Group as Maintainer.
  * Update Uploader e-mail.
  * debian/control: Update Vcs-Darcs to Debian Haskell Group darcs
    repository.
  * debian/control: Split lists in more than one line.
  * debian/control: Use Standards-Version: 3.8.3.
  * Create debian/README.source.
  * debian/watch: Correct format.

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Sun, 30 Aug 2009 13:01:28 -0300

gtk2hs (0.10.1-1) unstable; urgency=low

  * Removes restriction of reponse values.  Closes: #522481.
  * New upstream version.
  * Use maintainer scripts similar to the scripts from
    haskell-devscripts.
  * Use set -e instead of #!/bin/sh -e in maintainer scripts.
  * Use correct DEB_HADDOCK_DIR.
  * Use dh_haskell_shlibdeps.
  * debian/rules:
    - Use stamp for .PHONY targets.
    - Use variable instead of target for pkgmeta.
    - Use := only when it makes sense.
    - Support for parallel in DEB_BUILD_OPTIONS, conforming to Debian
      Policy 4.9.1.
    - Configure ghc flags in DEB_BUILD_OPTIONS noopt.
    - Don't use unexisting parameter to configure --with-c2hs=no.
  * debian/control:
    - Include correct dependencies for libghc6-gio-dev and
      libghc6-gtksourceview2-dev.
    - Correct wrong Suggests: field from libghc6-gio-dev and
      libghc6-gtksourceview2-dev, from libghc6-gtk2hs-doc to gtk2hs-doc.
    - Recommend ghc6-doc, and libghc6-mtl-doc, and suggest -dev packages.
    - Update very outdated description for gtk2hs-doc.
    - Use new Standards-Version: 3.8.1.
    - Use Section: haskell.
    - Include DM-Upload-Allowed: yes.
    - Update versioned dependencies.
  * debian/copyright:
    - Change packaging license.
    - Refer to (L)GPL-2 instead of (L)GPL.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Mon, 04 May 2009 10:53:23 -0300

gtk2hs (0.10.0-2) unstable; urgency=low

  * Rebuilt with ghc6 with arch-independent .haddock and .hi files
  * Bumped ghc6, haddock, mtl dependencies accordingly

 -- Joachim Breitner <nomeata@debian.org>  Sun, 01 Mar 2009 14:30:38 +0100

gtk2hs (0.10.0-1) unstable; urgency=low

  * New upstream version.
  * New package: libghc6-gio-dev.
  * Update package libghc6-sourceview-dev to libghc6-gtksourceview2-dev.
  * debian/control:
    - Remove << dependencies.
    - Package libghc6-gnomevfs-dev is deprecated.
    - Package libghc6-sourceview-dev is deprecated.
  * debian/rules: Organize order of --enable.
  * debian/postinst.in: Use update instead of register.  Thanks to
    Clifford Beshers <clifford.beshers@gmail.com>.
  * debian/prerm.in: Exit with 0 if it could not unregister.
  * debian/gtk2hs-doc.install: Remove unneeded file.
  * debian/mk-haskell-deps: Change the way the parameter is passed to
    ghc-pkg from -r to register and -u to unregister.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Thu, 19 Feb 2009 10:58:20 -0300

gtk2hs (0.9.13-5) unstable; urgency=low

  * Only use --disable-split-objs in amd64 and i386.  Thanks to Iván Pérez
    Domínguez <ivanperezdominguez@gmail.com>.  (Closes: 482503)
  * Update architecture list.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Thu, 15 Dec 2008 19:14:20 -0200

gtk2hs (0.9.13-4) unstable; urgency=low

  * Created libghc6-svgcairo-dev package.  Thanks to Eleftherios Kritikos
    <el01049@gmail.com>.
  * Changed maintainer e-mail address.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Tue, 18 Nov 2008 20:00:47 -0200

gtk2hs (0.9.13-3) unstable; urgency=low

  * debian/postinst, debian/prerm:
    - Use ghc-pkg6 instead of ghc-pkg.  Thanks to
      Stefan Potyra <sistpoty@ubuntu.com>.  (Closes: #501052)
    - Try to determine old upstream version. (Closes: #484928)
  * Use closer version to haskell-devscripts of dh_haskell_depends.
  * debian/control:
    - Adds Vcs-Darcs field.  Thanks to KiBi.
    - Removes Build-Depends on haskell-devscripts, and added on dctrl-tools.
  * debian/dh_haskell_depends: new parameter -P, asked for inclusion in
    haskell-devscripts in bug #502099.
  * debian/watch: Using sf.net directly.

 -- Marco Túlio Gontijo e Silva <marcot@riseup.net>  Fri, 03 Oct 2008 13:57:15 -0300

gtk2hs (0.9.13-2) unstable; urgency=low


