=== debian/control ===
Source: gtk2hs
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
  , Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 5)
  , autoconf
  , automake1.10
  , autotools-dev
  , haskell-devscripts (>= 0.7.2)
  , ghc6
  , ghc6-doc
  , libghc6-mtl-dev
  , libghc6-mtl-doc
  , libgconf2-dev
  , libgnomevfs2-dev
  , libgstreamer-plugins-base0.10-dev
  , librsvg2-dev
  , libglade2-dev
  , libgtkglext1-dev
  , libgtksourceview2.0-dev
  , dctrl-tools
Standards-Version: 3.8.4
Homepage: http://haskell.org/gtk2hs/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/gtk2hs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/gtk2hs
DM-Upload-Allowed: yes

Package: libghc6-glib-dev
Architecture: any
Depends: libglib2.0-dev
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GLib, the low-level core library that
 forms the basis of GTK+ and GNOME.

Package: libghc6-cairo-dev
Architecture: any
Depends: libcairo2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for the Cairo vector graphics library.

Package: libghc6-gconf-dev
Architecture: any
Depends: libgconf2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GConf, GNOME's system for storing
 application preferences.

Package: libghc6-gio-dev
Architecture: any
Depends: libglib2.0-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GIO bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GIO, a easy-to-use VFS API that sits in the
 right level in the library stack.

Package: libghc6-gnomevfs-dev
Architecture: any
Depends: libgnomevfs2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GNOME Virtual File System, GNOME's file
 system application library.
 .
 This package is deprecated.  You should use libghc6-gio-dev instead.

Package: libghc6-gstreamer-dev
Architecture: any
Depends: libgstreamer-plugins-base0.10-dev
  , libghc6-glib-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GStreamer, a library for constructing of
 graphs of media-handling components.

Package: libghc6-gtk-dev
Architecture: any
Depends: libgtk2.0-dev
  , libghc6-glib-dev (= ${binary:Version})
  , libghc6-cairo-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GTK+, a multi-platform toolkit for
 creating graphical user interfaces.

Package: libghc6-svgcairo-dev
Architecture: any
Depends: librsvg2-dev
  , libghc6-glib-dev (= ${binary:Version})
  , libghc6-cairo-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for libsvg-cairo a library used to render SVG
 with cairo.

Package: libghc6-glade-dev
Architecture: any
Depends: libglade2-dev
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for libglade, a library which builds user
 interfaces at runtime from XML descriptions produced by Glade.

Package: libghc6-gtkglext-dev
Architecture: any
Depends: libgtkglext1-dev
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for the Gtk OpenGL (Open Graphics Library)
 extension.

Package: libghc6-gtksourceview2-dev
Architecture: any
Depends: libgtksourceview2.0-dev
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- GtkSourceView2 bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides bindings for GtkSourceView, a widget implementing
 syntax highlighting and other features typical of a source editor.

Package: libghc6-soegtk-dev
Architecture: any
Depends: libghc6-cairo-dev (= ${binary:Version})
  , libghc6-gtk-dev (= ${binary:Version})
  , ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: gtk2hs-doc
  , ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package provides the SOE (School of Expression) implementation based on
 Gtk and Cairo or Gdk.

Package: gtk2hs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: doc-base
  , ghc6-doc
  , libghc6-mtl-doc
Suggests: libghc6-glib-dev (= ${binary:Version})
  , libghc6-cairo-dev (= ${binary:Version})
  , libghc6-gconf-dev (= ${binary:Version})
  , libghc6-gio-dev (= ${binary:Version})
  , libghc6-gnomevfs-dev (= ${binary:Version})
  , libghc6-gstreamer-dev (= ${binary:Version})
  , libghc6-gtk-dev (= ${binary:Version})
  , libghc6-svgcairo-dev (= ${binary:Version})
  , libghc6-glade-dev (= ${binary:Version})
  , libghc6-gtkglext-dev (= ${binary:Version})
  , libghc6-gtksourceview2-dev (= ${binary:Version})
  , libghc6-soegtk-dev (= ${binary:Version})
Description: A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 Gtk2Hs is a GUI library for Haskell based on GTK+, an extensive and
 mature multi-platform GUI toolkit featuring:
 .
  - Automatic memory management.
  - Near complete coverage of the GTK+ API.
  - Unicode support.
  - Extensive reference documentation.
  - Support for Linux, Windows, Mac OS X and other Unix platforms.
 .
 This package contains a number of examples along with haddock-generated HTML
 API documentation for libghc6-glib-dev, libghc6-cairo-dev, libghc6-gconf-dev,
 libghc6-gio-dev, libghc6-gnomevfs, libghc6-gstreamer-dev, libghc6-gtk-dev,
 libghc6-svgcairo-dev, libghc6-glade-dev, libghc6-gtkglext-dev,
 libghc6-gtksourceview2-dev, libghc6-soegtk-dev.
