=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/gtk2hs/gtk2hs-(.+)\.tar\.gz
